# coding: utf-8
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "masonellwood_cli_app/version"

Gem::Specification.new do |spec|
  spec.name          = "masonellwood_cli_app"
  spec.version       = MasonellwoodCliApp::VERSION
  spec.authors       = ["Mason Ellwood"]
  spec.email         = ["masonellwood@gmail.com"]

  spec.summary       = "Checks current weather in your area."
  spec.description   = "This gem with asks user input for there state name, then will prompt the use to type there city they would like to check the daily weather of."
  spec.homepage      = "https://github.com/MasonEllwood/masonellwood-cli-app"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  # if spec.respond_to?(:metadata)
  #   spec.metadata["allowed_push_host"] = "TODO: Set to 'http://mygemserver.com'"
  # else
  #   raise "RubyGems 2.0 or newer is required to protect against " \
  #     "public gem pushes."
  # end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  # spec.bindir        = "exe"
  spec.executables  << 'masonellwood-cli-app'
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.15"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency "pry"

  spec.add_dependency "nokogiri"
end
